diff -Nru apertium-3.1.0/debian/changelog apertium-3.1.0/debian/changelog
--- apertium-3.1.0/debian/changelog	2010-06-20 21:51:18.000000000 +0000
+++ apertium-3.1.0/debian/changelog	2010-06-20 21:44:26.000000000 +0000
@@ -1,3 +1,23 @@
+apertium (3.1.0-1.2) UNRELEASED; urgency=high
+
+  * Non-maintainer upload.
+  * High-urgency upload for RC bugfix.
+  * Fix bashisms in various shell scripts in this package, since /bin/sh will
+    not be bash by default in squeeze.  Thanks to Andres Mejia for the initial
+    version of this patch.  Closes: #464491.
+  * Set source format 3.0 (quilt) since we're patching the upstream source.
+  * Drop versioned build-dep on libpcre3-dev (<< 7.9) which prevents us from
+    rebuilding the package.  Closes: #581334.
+  * Drop versioned dep on libpcre3 (<< 7.9) as well.  The versioned dependency
+    actually exists between libpcre3 and the individual dictionary packages
+    containing the compiled regexps, apertium itself is entirely agnostic
+    regarding libpcre3 versions and should not have this hard-coded.
+  * Lintian fixes:
+    - add missing ${misc:Depends} to libapertium3-3.1-0-dev.
+    - bump standards-version to 3.8.4 (no changes required).
+
+ -- Steve Langasek <vorlon@debian.org>  Sun, 20 Jun 2010 19:58:56 +0000
+
 apertium (3.1.0-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru apertium-3.1.0/debian/control apertium-3.1.0/debian/control
--- apertium-3.1.0/debian/control	2010-06-20 21:51:18.000000000 +0000
+++ apertium-3.1.0/debian/control	2010-06-20 21:47:51.000000000 +0000
@@ -1,14 +1,14 @@
 Source: apertium
 Priority: optional
 Maintainer: Francis Tyers <ftyers@prompsit.com>
-Build-Depends: debhelper (>= 4.0.0), autotools-dev, autoconf, libxml2-dev, pkg-config (>= 0.20), liblttoolbox3-3.1-0-dev (>= 3.1.0), libxml2-utils (>= 2.6.24), xsltproc (>= 1.1.16), flex (>= 2.5.33), libpcre3-dev (<< 7.9)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 4.0.0), autotools-dev, autoconf, libxml2-dev, pkg-config (>= 0.20), liblttoolbox3-3.1-0-dev (>= 3.1.0), libxml2-utils (>= 2.6.24), xsltproc (>= 1.1.16), flex (>= 2.5.33), libpcre3-dev
+Standards-Version: 3.8.4
 Section: libs
 Homepage: http://www.apertium.org
 
 Package: apertium
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, lttoolbox (>= 3.1.0), libxml2-utils (>= 2.6.24), libpcre3 (<< 7.9)
+Depends: ${shlibs:Depends}, ${misc:Depends}, lttoolbox (>= 3.1.0), libxml2-utils (>= 2.6.24)
 Provides: apertium-pcre2
 Description: Shallow-transfer machine translation engine
  An open-source shallow-transfer machine translation 
@@ -32,7 +32,7 @@
 Package: libapertium3-3.1-0-dev
 Section: libdevel
 Architecture: any
-Depends: libapertium3-3.1-0 (= ${binary:Version})
+Depends: libapertium3-3.1-0 (= ${binary:Version}), ${misc:Depends}
 Provides: libapertium3-dev
 Conflicts: libapertium3-dev
 Description: Development library for Apertium
@@ -43,7 +43,7 @@
 Package: libapertium3-3.1-0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpcre3 (<< 7.9)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: libapertium3
 Conflicts: libapertium3
 Description: Shared library for Apertium
diff -Nru apertium-3.1.0/debian/patches/series apertium-3.1.0/debian/patches/series
--- apertium-3.1.0/debian/patches/series	1970-01-01 00:00:00.000000000 +0000
+++ apertium-3.1.0/debian/patches/series	2010-06-20 20:05:52.000000000 +0000
@@ -0,0 +1 @@
+debian-changes-3.1.0-1.2
diff -Nru apertium-3.1.0/debian/source/format apertium-3.1.0/debian/source/format
--- apertium-3.1.0/debian/source/format	1970-01-01 00:00:00.000000000 +0000
+++ apertium-3.1.0/debian/source/format	2010-06-20 20:04:51.000000000 +0000
@@ -0,0 +1 @@
+3.0 (quilt)
